> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wire instructions

> Retrieves wire transfer instructions for a specific bank account.



## OpenAPI

````yaml openapi/accounts.yaml get /v1/banks/wires/{id}/instructions
openapi: 3.0.2
info:
  version: 1.0.0
  title: Accounts (Stablecoin) API
  description: >
    Circle's Accounts API provides endpoints for managing stablecoin accounts --
    including transfers,

    withdrawals, deposits, wire bank accounts, and blockchain addresses.


    An **Account** is a general representation of a ledger or custody object
    that holds balances. It can be a business account,

    a stablecoin account ledger for an end user, an extra sub-ledger, or any
    future custody solution.
  license:
    name: Circle License
    url: https://circle.com/terms
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Accounts
    description: Manage accounts.
  - name: Account Groups
    description: Manage custody account groups and their memberships.
  - name: Transactions
    description: |
      Get a unified, customer-friendly view of account transaction activity.
  - name: Transfers
    description: Manage account transfers.
  - name: Withdrawals
    description: Manage account bank withdrawals (fiat offramp).
  - name: Wires
    description: Manage account bank accounts for wire transfers.
  - name: Deposits
    description: Get information on account bank deposits.
  - name: Deposit Addresses
    description: Manage account deposit addresses.
  - name: Recipient Addresses
    description: Manage account recipient addresses used for transfers.
paths:
  /v1/banks/wires/{id}/instructions:
    get:
      tags:
        - Wires
      summary: Get wire instructions
      description: Retrieves wire transfer instructions for a specific bank account.
      operationId: getWireAccountInstructions
      parameters:
        - $ref: '#/components/parameters/IdPath'
        - $ref: '#/components/parameters/AccountId'
      responses:
        '200':
          description: >-
            Successfully retrieved wire transfer instructions for the bank
            account.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountWireAccountInstructionsResponse'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
    AccountId:
      name: accountId
      description: >-
        Identifier of the account. Filters results to fetch only resources
        associated with the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
  headers:
    XRequestId:
      description: >
        Circle-generated universally unique identifier (UUID v4). Useful for
        identifying a specific request when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'
  schemas:
    GetAccountWireAccountInstructionsResponse:
      title: GetAccountWireAccountInstructionsResponse
      properties:
        data:
          $ref: '#/components/schemas/WireInstruction'
    XRequestId:
      type: string
      format: uuid
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
    WireInstruction:
      type: object
      properties:
        trackingRef:
          type: string
          description: Tracking reference for the wire reference field.
        beneficiary:
          $ref: '#/components/schemas/WireInstructionBeneficiary'
        beneficiaryBank:
          $ref: '#/components/schemas/WireInstructionBeneficiaryBank'
        virtualAccountEnabled:
          type: boolean
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 400
        message:
          type: string
          example: Something went wrong.
    WireInstructionBeneficiary:
      type: object
      properties:
        name:
          type: string
          example: CIRCLE INTERNET FINANCIAL INC
        address1:
          type: string
          example: 99 HIGH STREET
        address2:
          type: string
          example: BOSTON MA 02110
    WireInstructionBeneficiaryBank:
      type: object
      properties:
        name:
          type: string
          example: WELLS FARGO BANK
        swiftCode:
          type: string
          example: WFBIUS6SXXX
        routingNumber:
          type: string
          example: '121000248'
        accountNumber:
          type: string
          example: '****7427'
        currency:
          type: string
          example: USD
        address:
          type: string
          example: 4250 EXECUTIVE SQUARE SUITE 300
        city:
          type: string
          example: LA JOLLA
        postalCode:
          type: string
          example: '02110'
        country:
          type: string
          example: US
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 401
            message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 404
            message: Not found.
    InternalServerError:
      description: >-
        The server encountered an unexpected condition that prevented it from
        fulfilling the request.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: -1
            message: 'Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````